import _JSXStyle from "../styled-jsx.es.js";
import React from 'react';
import Loading from '../loading';
var ButtonLoading = function ButtonLoading(_ref) {
  var color = _ref.color;
  return /*#__PURE__*/React.createElement("div", {
    className: "jsx-212623367" + " " + "btn-loading"
  }, /*#__PURE__*/React.createElement(Loading, {
    color: color
  }), /*#__PURE__*/React.createElement(_JSXStyle, {
    id: "212623367"
  }, ".btn-loading.jsx-212623367{position:absolute;top:0;left:0;right:0;bottom:0;z-index:2;background-color:var(--helpdice-ui-button-bg);}"));
};
ButtonLoading.displayName = 'ButtonLoading';
export default ButtonLoading;